/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.junit.tests.facade.delegate;

import gz.cyberbrain.cyberhotel.model.address.to.AddressTo;
import gz.cyberbrain.cyberhotel.model.bank.to.BankTo;
import gz.cyberbrain.cyberhotel.model.board.to.BoardTo;
import gz.cyberbrain.cyberhotel.model.card.to.CardTo;
import gz.cyberbrain.cyberhotel.model.client.to.ClientTo;
import gz.cyberbrain.cyberhotel.model.concept.to.ConceptTo;
import gz.cyberbrain.cyberhotel.model.day.to.DayTo;
import gz.cyberbrain.cyberhotel.model.employee.to.EmployeeTo;
import gz.cyberbrain.cyberhotel.model.owe.to.OweTo;
import gz.cyberbrain.cyberhotel.model.price.to.PriceTo;
import gz.cyberbrain.cyberhotel.model.pricetype.to.PriceTypeTo;
import gz.cyberbrain.cyberhotel.model.reservation.to.ReservationTo;
import gz.cyberbrain.cyberhotel.model.room.to.RoomTo;
import gz.cyberbrain.cyberhotel.model.roomtype.to.RoomTypeTo;
import gz.cyberbrain.cyberhotel.model.season.to.SeasonTo;
import gz.cyberbrain.cyberhotel.model.user.to.UserTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;
import gz.cyberbrain.cyberhotel.model.wash.to.WashTo;

import java.io.Serializable;
import java.util.Calendar;
import java.util.Collection;

public interface TestFacadeDelegate extends Serializable {

	public AddressTo findAddress(Long addressId) 
		throws InstanceNotFoundException, InternalErrorException;

	public BankTo findBank(Long bankId) 
	throws InstanceNotFoundException, InternalErrorException;
	
	public CardTo findCard(Long cardId) 
	throws InstanceNotFoundException, InternalErrorException;
	
	public RoomTo findRoom(String roomCode) 
	throws InstanceNotFoundException, InternalErrorException;
	
	public RoomTypeTo findRoomType(String roomTypeCode) 
	throws InstanceNotFoundException, InternalErrorException;
	
	public BoardTo findBoard(String boardCode) 
	throws InstanceNotFoundException, InternalErrorException;
	
	public PriceTypeTo findPriceType(String priceTypeCode) 
	throws InstanceNotFoundException, InternalErrorException;
	
	public SeasonTo findSeason(Long seasonId) 
	throws InstanceNotFoundException, InternalErrorException;
	
	public PriceTo findPrice (Long priceId, String board, String priceType, Long season)
	throws InstanceNotFoundException, InternalErrorException;
	
	public ConceptTo findConcept(String conceptCode) 
	throws InstanceNotFoundException, InternalErrorException;
	
	public DayTo findDay(Calendar dayDate) 
	throws InstanceNotFoundException, InternalErrorException;
	
	public EmployeeTo findEmployee(Long employeeId) 
	throws InstanceNotFoundException, InternalErrorException;
	
	public UserTo findUser(String login) 
	throws InstanceNotFoundException, InternalErrorException;
	
	public ClientTo findParticular(Long clientId)
	throws InstanceNotFoundException, InternalErrorException;
	
	public ClientTo findAgency(Long clientId)
	throws InstanceNotFoundException, InternalErrorException;
	
	public ClientTo findCompany(Long clientId)
	throws InstanceNotFoundException, InternalErrorException;
	
	public ReservationTo findReservation(Long reservationId)
	throws InstanceNotFoundException, InternalErrorException;

	public Collection reservationRequests(Long reservationId)
	throws InternalErrorException;
	
	public OweTo findOwe(Long reservation, Long oweNumber)
	throws InstanceNotFoundException, InternalErrorException;
	
	public WashTo findWash(String roomCode, Long employeeId, Long washId)
	throws InstanceNotFoundException, InternalErrorException;
}
