/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.controller;

import gz.cyberbrain.cyberhotel.controller.util.ErrorItem;
import gz.cyberbrain.cyberhotel.controller.util.ErrorsHandler;
import gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions.CancelledReservationException;
import gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions.DifferentDayException;
import gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions.FinishedReservationException;
import gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions.PriceNotFoundException;
import gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions.RegisteredReservationException;
import gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions.RoomBusyException;
import gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions.RoomNotBusyException;
import gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions.UnaceptableConceptException;
import gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions.UnaceptableInvoiceException;
import gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions.UnaceptableParticularException;
import gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions.UnaceptableRoomException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InvalidIntervalException;

import java.io.Serializable;
import java.util.Calendar;
import java.util.HashMap;

public class CheckInCreator extends SaveAdapter {

	public Serializable save(HashMap map) {	
		
		if (inputTesting(map))
			try {
				
				
				CheckInController.doCheckIn((Long) map.get("id"), (String) map.get("reservatorName"), (String) map.get("reservatorCif"), (String) map.get("reservatorAccount"), 
						(String) map.get("reservatorCard"), (String) map.get("reservatorPhone"), (String) map.get("reservationStatus"), (Calendar) map.get("incomingDate"), 
						(Calendar) map.get("expectedOutgoingDate"), (Calendar) map.get("trueOutgoingDate"), (Long) map.get("payer"), (Long) map.get("agency"), (Long) map.get("company"), 
						(String) map.get("notes"), ((Boolean) map.get("byHours")).booleanValue());

			} catch (DifferentDayException e) {
				ErrorsHandler.clear();
				ErrorsHandler.add(new ErrorItem("differentDay"));
			} catch (FinishedReservationException e) {
				ErrorsHandler.clear();
				ErrorsHandler.add(new ErrorItem("finishedReservation"));
			} catch (PriceNotFoundException e) {
				ErrorsHandler.clear();
				ErrorsHandler.add(new ErrorItem("priceNotFound"));
			} catch (CancelledReservationException e) {
				ErrorsHandler.clear();
				ErrorsHandler.add(new ErrorItem("cancelledReservation"));
			} catch (RegisteredReservationException e) {
				ErrorsHandler.clear();
				ErrorsHandler.add(new ErrorItem("registeredReservation"));
			} catch (UnaceptableRoomException e) {
				ErrorsHandler.clear();
				ErrorsHandler.add(new ErrorItem("roomUnaceptable"));
			} catch (UnaceptableConceptException e) {
				ErrorsHandler.clear();
				ErrorsHandler.add(new ErrorItem("concept"));
			} catch (RoomBusyException e) {
				ErrorsHandler.clear();
				ErrorsHandler.add(new ErrorItem("roomBusy"));
			} catch (UnaceptableParticularException e) {
				ErrorsHandler.clear();
				ErrorsHandler.add(new ErrorItem("particular"));
			} catch (UnaceptableInvoiceException e) {
				ErrorsHandler.clear();
				ErrorsHandler.add(new ErrorItem("invoice"));
			} catch (RoomNotBusyException e) {
				ErrorsHandler.clear();
				ErrorsHandler.add(new ErrorItem("roomNotBusy"));
			} catch (InvalidIntervalException e) {
				ErrorsHandler.clear();
				ErrorsHandler.add(new ErrorItem("interval"));
			} catch (InstanceNotFoundException e) {					
				e.printStackTrace();
			} catch (InternalErrorException e) {
				e.printStackTrace();
			}

			return (Long) map.get("id");

	}

	@Override
	protected boolean inputTesting(HashMap map) {
		ErrorsHandler.clear();
		return true;
	}

}
