/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.controller;

import gz.cyberbrain.cyberhotel.controller.util.ErrorItem;
import gz.cyberbrain.cyberhotel.controller.util.ErrorsHandler;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.HashMap;

public class ConceptCreator extends SaveAdapter {

	@Override
	public Serializable save(HashMap map) {

		Serializable id = null;

		try {	
			if (inputTesting(map))
				id = ConceptController.createConcept((String) map.get("code"), (String) map.get("denomination"), (BigDecimal) map.get("vat"));
		} catch (InternalErrorException e) {
			e.printStackTrace();
		}

		return id;

	}

	protected boolean inputTesting(HashMap map) {

		if (((String) map.get("code")).trim().equals("")) {

			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("code"));			
			return false;

		}

		if (((String) map.get("denomination")).trim().equals("")) {

			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("denomination"));			
			return false;

		}

		ErrorsHandler.clear();

		return true;

	}

}
