/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.controller;

import gz.cyberbrain.cyberhotel.controller.util.ErrorItem;
import gz.cyberbrain.cyberhotel.controller.util.ErrorsHandler;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;
import gz.cyberbrain.cyberhotel.view.swing.util.gui.TextItem;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Vector;

public class GroupCheckOutListAdapter extends ListAdapter {

	public SaveAdapter getCreator() {
		return new CheckOutCreator();
	}
	
	public SaveAdapter getUpdater() {
		ErrorsHandler.clear();
		ErrorsHandler.add(new ErrorItem("update"));
		throw new UnsupportedOperationException();
	}
	
	@SuppressWarnings("unchecked")
	public Vector load() {
		
		Vector aux = new Vector();
		Vector list = new Vector();

		try {
			aux = CheckOutController.checkOutList();
		
			for (int i=0; i < aux.size(); i++) {
			
				if (CheckOutController.reservationRequests((Long) ((TextItem) aux.elementAt(i)).getId()).size() > 1) 
					list.add(aux.elementAt(i));
				
			}
			
		} catch (InternalErrorException e) {
			e.printStackTrace();
		}
		
		return list;

	}
	
	public void delete(Serializable id) {

		ErrorsHandler.clear();
		ErrorsHandler.add(new ErrorItem("delete"));

		throw new UnsupportedOperationException();
		
	}

	public HashMap find(Serializable id) {
		HashMap map = new HashMap();
		try {
			map = CheckOutController.findCheckOut((Long) id);
		} catch (InstanceNotFoundException e) {
			e.printStackTrace();
        } catch (InternalErrorException e) {
        	e.printStackTrace();
        }
        return map;
	}
	
}
