/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.controller;

import gz.cyberbrain.cyberhotel.controller.util.ErrorItem;
import gz.cyberbrain.cyberhotel.controller.util.ErrorsHandler;
import gz.cyberbrain.cyberhotel.model.invoicingfacade.exceptions.UnaceptableOweException;
import gz.cyberbrain.cyberhotel.model.invoicingfacade.exceptions.UnaceptablePayerException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Calendar;
import java.util.HashMap;
import java.util.Vector;

public class InvoiceUpdater extends SaveAdapter {

	public Serializable save(HashMap map, Vector vector) {

		try {

			if (inputTesting(map))
				InvoiceController.updateInvoice(new Long((String) map.get("invoiceNumber")), 
						(String) map.get("invoiceSerial"), (Calendar) map.get("invoiceDate"), 
						(String) map.get("shipperName"), (String) map.get("shipperCif"), 
						(String) map.get("shipperStreet"), (Long) map.get("payer"), (String) map.get("payMode"), 
						new BigDecimal((String) map.get("subtotal")), new BigDecimal((String) map.get("quotaVat")), 
						new BigDecimal((String) map.get("total")), (String) map.get("status"), 
						(String) map.get("observations"), vector);

		} catch (UnaceptablePayerException e) {
			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("unaceptablePayer"));
		} catch (UnaceptableOweException e) {
			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("billedOwes"));
		} catch (InstanceNotFoundException e) {
			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("inexistentOwes"));
		} catch (InternalErrorException e) {			
			e.printStackTrace();
		} 
		
		return (String) map.get("id");
		
	}

	protected boolean inputTesting(HashMap map) {

		if (((String) map.get("invoiceNumber")).trim().equals("")) {		
			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("invoiceNumber"));
			return false;
		}

		if (((String) map.get("invoiceSerial")).trim().equals("")) {
			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("invoiceSerial"));
			return false;
		}

		ErrorsHandler.clear();

		return true;

	}

}
