/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.model.cash.dao;

import gz.cyberbrain.cyberhotel.model.cash.to.CashTo;
import gz.cyberbrain.cyberhotel.model.spring.dao.AbstractSpringDao;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.util.Collection;

public class CashSpringDao extends AbstractSpringDao implements CashDao {

	public CashSpringDao() {
		super(CashTo.class);
	}
	
	public CashTo create(CashTo cashTo) throws InternalErrorException {
		return (CashTo) super.save(cashTo);		
	}

	public CashTo find(Long cashNumber) throws InstanceNotFoundException, InternalErrorException {

		CashTo cashTo = (CashTo) super.find(cashNumber);
		return cashTo;
		
	}

	public void update(CashTo cashTo) throws InstanceNotFoundException, InternalErrorException {
		super.update(cashTo);
	}	

	public Collection findAll() throws InternalErrorException {
		String queryName = "allCashes";
		return super.findByQuery(queryName);
	}

	
}
