/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.model.configurationfacade.spring.actions;

import gz.cyberbrain.cyberhotel.model.address.dao.AddressDao;
import gz.cyberbrain.cyberhotel.model.address.to.AddressTo;
import gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions.AddressInUseException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.util.Collection;
import java.util.Iterator;

public class DeleteAddressByProvinceAction {

	private String country;
	private String province;
	private AddressDao addressDao;

	public DeleteAddressByProvinceAction (String country, String province, AddressDao addressDao) {

		this.country = country;
		this.province = province;
		this.addressDao = addressDao;

	}

	public void execute() throws AddressInUseException, InternalErrorException {	

		Collection values = addressDao.findByProvince(country, province);
		
		Iterator iter = values.iterator();
		AddressTo currentAddress;

		for (int i=0; iter.hasNext(); i++) { 

			currentAddress = (AddressTo) iter.next();
			if (addressDao.existClients(currentAddress.getAddressId(), "")) throw new AddressInUseException(currentAddress); 

		}
		
		iter = null;
		iter = values.iterator();
		
		for (int i=0; iter.hasNext(); i++) { 

			currentAddress = (AddressTo) iter.next();			
			addressDao.remove(currentAddress);		

		}

	}
}
