/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.model.configurationfacade.spring.actions;

import java.util.Calendar;

import gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions.SeasonTariffiedException;
import gz.cyberbrain.cyberhotel.model.day.dao.DayDao;
import gz.cyberbrain.cyberhotel.model.day.to.DayTo;
import gz.cyberbrain.cyberhotel.model.season.dao.SeasonDao;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

public class DeleteDaySeasonAction {

	private Calendar dayDate;
	private DayDao dayDao;
	private SeasonDao seasonDao;

	public DeleteDaySeasonAction(Calendar dayDate, DayDao dayDao, SeasonDao seasonDao) {

		this.dayDate = dayDate;
		this.dayDao = dayDao;
		this.seasonDao = seasonDao;

	}

	public void execute() throws SeasonTariffiedException, InstanceNotFoundException, InternalErrorException {		
		
		DayTo day = dayDao.find(dayDate);
		
		if (seasonDao.isTariffied(day.getSeason())) 
			throw new SeasonTariffiedException(seasonDao.find(day.getSeason()));
		
		day.setSeason(null);
		
		dayDao.update(day);
		
	}

	
}
