/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.model.invoice.dao;

import gz.cyberbrain.cyberhotel.model.invoice.to.InvoiceTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.util.Collection;

public interface InvoiceDao {

	public InvoiceTo create(InvoiceTo invoiceTo) throws InternalErrorException;

	public InvoiceTo find(Long invoiceNumber, String invoiceSerial) 
		throws InstanceNotFoundException, InternalErrorException;
	
	public void update (InvoiceTo invoiceTo) 
		throws InstanceNotFoundException, InternalErrorException;
	
	public void remove(InvoiceTo invoiceTo) 
		throws InstanceNotFoundException, InternalErrorException;
	
	public Collection findAll() throws InternalErrorException;
	
	public Collection findInvoiceOwes(Long invoiceNumber, String invoiceSerial) throws InternalErrorException;
	
	public Collection findOutstanding() throws InternalErrorException;
	
	public Collection findIssued() throws InternalErrorException;
	
	public boolean payedInvoice(Long invoiceNumber, String invoiceSerial) throws InternalErrorException;
}
