/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.model.owe.dao;

import gz.cyberbrain.cyberhotel.model.owe.to.OweTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.util.Calendar;
import java.util.Collection;

public interface OweDao {

	public OweTo create(OweTo oweTo) throws InternalErrorException;

	public OweTo find(Long oweNumber) 
		throws InstanceNotFoundException, InternalErrorException;
	
	public void update (OweTo oweTo) 
		throws InternalErrorException;
	
	public void remove(OweTo oweTo) 
		throws InternalErrorException;
	
	public Collection findAll() throws InternalErrorException;
	
	public Collection findByRoom(String roomCode) throws InternalErrorException;
	
	public Collection findByParticular(Long particularId) throws InternalErrorException;
	
	public Collection findByRoomAndParticular (String roomCode, Long particularId) 
	throws InternalErrorException;
	
	public Collection findByDate(Calendar date) throws InternalErrorException;
	
	public Long findOweReservation(Calendar date, String roomCode) throws InstanceNotFoundException, InternalErrorException;
	
	//public Long nextOwe(Long oweNumber) throws InternalErrorException;
	
}
