/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.model.reservationfacade.spring.actions;

import gz.cyberbrain.cyberhotel.model.client.dao.ClientDao;
import gz.cyberbrain.cyberhotel.model.client.to.CompanyTo;
import gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions.ClientPayerException;
import gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions.ClientWithInvoicesException;
import gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions.CompanyWithReservationsException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

public class RemoveACompanyAction {
	
	private CompanyTo companyTo;
	private ClientDao companyDao;
	
	public RemoveACompanyAction(CompanyTo companyTo, ClientDao companyDao) {
		this.companyTo = companyTo;
		this.companyDao = companyDao;
	}
	
	public void execute() 
		throws CompanyWithReservationsException, ClientPayerException, 
		ClientWithInvoicesException, InternalErrorException {
		
		if (companyDao.takesPartInReservation(companyTo.getClientId()))
			throw new CompanyWithReservationsException(companyTo);
		
		if (companyDao.isPayer(companyTo.getClientId()))
			throw new ClientPayerException(companyTo);
		
		if (companyDao.existInvoices(companyTo.getClientId()))
			throw new ClientWithInvoicesException(companyTo);
		
		companyDao.remove(companyTo);
		
	}
	
}
