/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.model.room.dao;

import java.util.Calendar;
import java.util.Collection;

import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.room.to.RoomTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

public interface RoomDao {

	public RoomTo create(RoomTo roomTo) throws InternalErrorException;

	public RoomTo find(String roomCode) 
		throws InstanceNotFoundException, InternalErrorException;
	
	public void update (RoomTo roomTo) 
		throws InternalErrorException;
	
	public void remove(RoomTo roomTo) 
		throws InternalErrorException;
	
	public Collection findAll() throws InternalErrorException;
	
	public Collection findAllIds() throws InternalErrorException;

	public Collection findByType (String type)
		throws InternalErrorException;
	
	public Collection findByOccupancyStatus (String occupancyStatus) 
		throws InternalErrorException;
	
	public Collection findByCleaningStatus (String cleaningStatus) 
	throws InternalErrorException;
	
	public Collection findByTypeAndOccupancy (String [] attributes)
		throws InternalErrorException;
	
	public boolean existBoarders(String roomCode) throws InternalErrorException;
	
	public Collection freeBetweenDates(Calendar []dates) 
		throws InternalErrorException;
	
	public Long findCurrentCheckIn (String roomCode) throws InternalErrorException;
}
