/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.model.roomtype.dao;

import gz.cyberbrain.cyberhotel.model.roomtype.to.RoomTypeTo;
import gz.cyberbrain.cyberhotel.model.spring.dao.AbstractSpringDao;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.util.Collection;

public class RoomTypeSpringDao extends AbstractSpringDao implements RoomTypeDao {
	
	
	public RoomTypeSpringDao() {
		super(RoomTypeTo.class);
	}	

	public RoomTypeTo create(RoomTypeTo roomTypeTo) throws InternalErrorException {		

		return (RoomTypeTo) super.save(roomTypeTo);

	}

	public RoomTypeTo find(String roomTypeCode) throws InstanceNotFoundException, InternalErrorException {

		RoomTypeTo roomTypeTo = (RoomTypeTo) super.find(roomTypeCode);
		return roomTypeTo;

	}

	public void update(RoomTypeTo roomTypeTo) throws InternalErrorException {		

		super.update(roomTypeTo);

	}

	public void remove(RoomTypeTo roomTypeTo) throws InternalErrorException {

			super.delete(roomTypeTo);
	
	}
	
	public Collection findAll() throws InternalErrorException {
		
		String queryName = "allRoomTypes";
		return super.findByQuery(queryName);
		
	}
	
	public boolean existRooms(String roomTypeCode) throws InternalErrorException {
		String queryName = "roomsOfThisType";
		return (!super.findByAttribute(queryName, roomTypeCode).isEmpty());
	}

}
