/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.model.season.dao;

import gz.cyberbrain.cyberhotel.model.season.to.SeasonTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.util.Collection;

public interface SeasonDao {

	public SeasonTo create(SeasonTo seasonTo) throws InternalErrorException;

	public SeasonTo find(Long seasonId) 
	throws InstanceNotFoundException, InternalErrorException;

	public void update (SeasonTo seasonTo) 
	throws InternalErrorException;

	public void remove(SeasonTo seasonTo) 
	throws InternalErrorException;

	public Collection findAll() throws InternalErrorException;

	public boolean existRequests (Long seasonId) 
	throws InternalErrorException;

	public boolean isTariffied (Long seasonId)
	throws InternalErrorException;


}
