/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.model.user.dao;

import gz.cyberbrain.cyberhotel.model.spring.dao.AbstractSpringDao;
import gz.cyberbrain.cyberhotel.model.user.to.UserTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.io.Serializable;
import java.util.Collection;

public class UserSpringDao extends AbstractSpringDao implements UserDao{

	public UserSpringDao() {
		super(UserTo.class);
	}	

	public UserTo create(UserTo userTo) throws InternalErrorException {		

		return (UserTo) super.save(userTo);

	}

	public UserTo find(String login) throws InstanceNotFoundException, InternalErrorException {

		UserTo userTo = (UserTo) super.find(login);
		return userTo;

	}

	public void update(UserTo userTo) throws InternalErrorException {		

		super.update(userTo);

	}

	public void remove(UserTo userTo) throws InternalErrorException {

		super.delete(userTo);

	}

	public Collection findAll() throws InternalErrorException {

		String queryName = "allUsers";
		return super.findByQuery(queryName);

	}
	
	public boolean hasAssociatedItems(String login) throws InternalErrorException {
		
		String queryNameA = "userCashes";
		String queryNameB = "userPayments";
		
		Serializable []attributes = {login, login};
		
		return (!super.findByAttributes(queryNameA, attributes).isEmpty() 
				|| !super.findByAttribute(queryNameB, login).isEmpty());
		
	}

}
