/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.model.user.to;
import gz.cyberbrain.cyberhotel.model.identifiable.Identifiable;
import gz.cyberbrain.cyberhotel.model.role.to.RoleTo;
import gz.cyberbrain.cyberhotel.model.util.encrypt.PasswordEncrypter;

import java.io.Serializable;
import java.util.Collection;


public class UserTo implements Identifiable {
		
	private static final long serialVersionUID = 7904835907732056652L;
	private String login;
	private String password;
	private Long  employee;
	private Collection <RoleTo> roles;
	
	public UserTo(){}
	
	public UserTo(String login, String password, Long employee, Collection <RoleTo> roles) {
		this.login = login;
		this.password = PasswordEncrypter.encrypt(password,login);
		this.employee = employee;
		this.roles = roles;
	}

	public Serializable getId(){
		return login;
	}

	public Long getEmployee() {
		return employee;
	}



	public void setEmployee(Long employee) {
		this.employee = employee;
	}



	public String getLogin() {
		return login;
	}



	public void setLogin(String login) {
		this.login = login;
	}



	public String getPassword() {
		return password;
	}



	public void setPassword(String password) {
		this.password = password;
	}



	public Collection <RoleTo> getRoles() {
		return roles;
	}



	public void setRoles(Collection <RoleTo> roles) {
		this.roles = roles;
	}
			
}
