/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.model.util.dates;

import gz.cyberbrain.cyberhotel.model.util.exceptions.InvalidIntervalException;

import java.util.Calendar;

public class Interval {

	private Calendar start;
	private Calendar end;
	
	public Interval (Calendar start, Calendar end) throws InvalidIntervalException {
		if (start.getTime().getTime() > end.getTime().getTime()) throw new InvalidIntervalException(start, end);
		this.start = start;
		this.end = end;		
	}
	
	public Calendar getStart() {
		return start;
	}
	
	public Calendar getEnd() {
		return end;
	}
	
	public boolean overlaps(Interval b) {
		
		if (((b.getEnd().getTime().getTime() >= this.getStart().getTime().getTime()) && (b.getEnd().getTime().getTime() <= this.getEnd().getTime().getTime())) 
		|| ((b.getStart().getTime().getTime() >= this.getStart().getTime().getTime())&&(b.getStart().getTime().getTime() <= this.getEnd().getTime().getTime()))
		|| ((b.getStart().getTime().getTime() >= this.getStart().getTime().getTime())&& (b.getEnd().getTime().getTime() <= this.getEnd().getTime().getTime()))
		|| ((b.getStart().getTime().getTime() <= this.getStart().getTime().getTime()) && (b.getEnd().getTime().getTime() >= this.getEnd().getTime().getTime()))
		)  return true;
				
		return false;
		
	}
	
	public String toString() {
		return new String ("|" + start.get(Calendar.DATE)+"/"+start.get(Calendar.MONTH)+"/"+start.get(Calendar.YEAR) + " - " + end.get(Calendar.DATE)+"/"+end.get(Calendar.MONTH)+"/"+end.get(Calendar.YEAR) + "|");
	}
	
}
