/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.model.wash.to;

import gz.cyberbrain.cyberhotel.model.identifiable.Identifiable;


import java.io.Serializable;
import java.util.Calendar;

public class WashTo implements Identifiable {

	private static final long serialVersionUID = 5285397287594882161L;
	private Long washId;
	private Calendar washDate;
	private boolean inWash;
	private boolean outWash;
	private boolean towels;
	private boolean sheets;
	private boolean disinfection;
	private boolean other;
	private String room;
	private Long employee;
	private String observations;
	
	public WashTo(){}
	
	public WashTo(Long washId, Calendar washDate, boolean inWash, boolean outWash, 
			boolean towels, boolean sheets, boolean disinfection, boolean other, 
			String room, Long employee, String observations) {
		this.washId = washId;
		this.washDate = washDate;
		this.inWash = inWash;
		this.outWash = outWash;
		this.towels = towels;
		this.sheets = sheets;
		this.disinfection = disinfection;
		this.other = other;
		this.room = room;
		this.employee = employee;
		this.observations = observations;
	}

	public Serializable getId() {
		return washId;
	}
	
	public boolean isDisinfection() {
		return disinfection;
	}

	public void setDisinfection(boolean disinfection) {
		this.disinfection = disinfection;
	}

	public Long getEmployee() {
		return employee;
	}

	public void setEmployee(Long employee) {
		this.employee = employee;
	}

	public boolean isInWash() {
		return inWash;
	}

	public void setInWash(boolean inWash) {
		this.inWash = inWash;
	}

	public String getObservations() {
		return observations;
	}

	public void setObservations(String observations) {
		this.observations = observations;
	}

	public boolean isOther() {
		return other;
	}

	public void setOther(boolean other) {
		this.other = other;
	}

	public boolean isOutWash() {
		return outWash;
	}

	public void setOutWash(boolean outWash) {
		this.outWash = outWash;
	}

	public String getRoom() {
		return room;
	}

	public void setRoom(String room) {
		this.room = room;
	}

	public boolean isSheets() {
		return sheets;
	}

	public void setSheets(boolean sheets) {
		this.sheets = sheets;
	}

	public boolean isTowels() {
		return towels;
	}

	public void setTowels(boolean towels) {
		this.towels = towels;
	}

	public Calendar getWashDate() {
		return washDate;
	}

	public void setWashDate(Calendar washDate) {
		this.washDate = washDate;
	}

	public Long getWashId() {
		return washId;
	}

	public void setWashId(Long washId) {
		this.washId = washId;
	}
	
}
