/************************************************************************************************/
/*                                                                                              */
/*      <cyberHotel: Gestion Hotelera GPL>                                                      */
/*      Copyright (C) <2008> <davide05@gmail.com>                                               */
/*                                                                                              */
/*      This program is free software: you can redistribute it and/or modify                    */
/*      it under the terms of the GNU General Public License as published by                    */
/*      the Free Software Foundation, either version 3 of the License, or                       */
/*      (at your option) any later version.                                                     */
/*                                                                                              */
/*      This program is distributed in the hope that it will be useful,                         */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of                          */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                                    */ 
/*      See the GNU General Public License for more details.                                    */
/*                                                                                              */
/*      You should have received a copy of the GNU General Public License                       */
/*      along with this program.  If not, see <http://www.gnu.org/licenses/>.                   */
/*                                                                                              */
/************************************************************************************************/

package gz.cyberbrain.cyberhotel.view.swing.util.locale;

import gz.cyberbrain.cyberhotel.model.util.config.ConfigurationHandler;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Map;
import java.util.Properties;

@SuppressWarnings("unchecked")
public class Locale {

    private static String location = ClassLoader.getSystemResource(".").getPath();
	private static File file;
	private static String fileName;
	private static InputStream fis;
	private static Map parameters;

	static  {
		
		try {		
			
			location = location.replace("%20", " "); //URL converts blankspaces into %20						
			
			ConfigurationHandler.init();

			fileName =  ConfigurationHandler.LOCALE;
															       		  		       
			file = new File(location + "gz/cyberbrain/cyberhotel/view/swing/messages/" + fileName + ".properties");			
						
			fis = new FileInputStream(file);

			Properties properties = new Properties();
			properties.load(fis);
			fis.close();
			
			parameters = new HashMap(properties);
			
		} catch (FileNotFoundException e) {			
			e.printStackTrace();
		} catch (IOException e) {		
			e.printStackTrace();	
		} catch (InternalErrorException e) {		
			e.printStackTrace();		
		}
		
	}

	public static String get(String field) {
	    
        String value = (String) parameters.get(field);
                                   
        return value;

	}
	
}
